Subject: Re: [storm] I-D Action: draft-wood-storm-rdmap-ext-v2-00.txt

From: "Black, David" <[email-masked]>
Date: Tue, 18 Feb 2014 05:12:06 -0500

I've taken an initial look at this draft.

I apologize for the delay, but I've been focused on moving the iSCSI drafts
forward - the RFC Editor is almost done editing them, and their expected RFC
publication date is mid-March after the T10 dependency in the iscsi-sam
draft is cleared (expected at the T10 March meetings).

In any case, here are some initial comments on 3 topics in the rdmap-ext-v2
draft.

<WG chair hat ON>

[1] Negotiation

Hmm, this combination looks like a serious problem:

Section 1.1:
   The discovery and negotiation of the RDMA Extensions and the RDMAP
   Extensions is covered in MPA Extensions [RFCZZZZ].

Normative References:
   [RFCZZZZ] "MPA Extensions" (not yet written)

Given that this draft intends to change the protocol version, that negotiation
mechanism is crucial, but at the moment, it's unspecified - a proverbial
"pig in a poke".

I don't think it's appropriate for the WG to adopt this draft until there's
at least an initial specification of the negotiation mechanism, and Hemal's
comment about whether individual features should be negotiated will need
discussion (although that can happen after draft adoption).

When both drafts are available, my inclination would be to propose WG adoption
of both as a package (and we'd need to add a goal/milestone to the WG charter
at that time).

[2] IANA Considerations

Also, the IANA considerations will need to be reworked, as RFC 6580 says:

   Namespace details: RDMAP Operation Codes are 4-bit values [RFC5040].

and hence 5-bit opcodes cannot be added to that registry.

I think a separate registry for the v2 opcodes is probably what's called for,
with an entry that references the existing registry for 0x00 - 0x0F.

[3] Reference to RDMA Protocol Extensions

Finally, something small, but important:

   [RFCYYYY] Shah, H. et al., "RDMA Protocol Extensions", RFC YYYY,
             October 2013.

That's not the right way to reference that document; refer to it as an
Internet-Draft by its Internet-Draft name: draft-ietf-storm-rdmap-ext-08.txt .

</WG chair hat ON>

Thanks,
--David

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Tuesday, November 26, 2013 2:13 PM
> To: [email-masked]
> Subject: I-D Action: draft-wood-storm-rdmap-ext-v2-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title           : RDMA Protocol Extensions V2
> 	Author(s)       : Donald Wood
>                           Robert Sharp
>                           Kenneth Keels
> 	Filename        : draft-wood-storm-rdmap-ext-v2-00.txt
> 	Pages           : 23
> 	Date            : 2013-11-26
> 
> Abstract:
>    This document specifies extensions to the IETF Remote Direct Memory
>    Access Protocol and RDMA Protocol Extensions. RDMAP provides read
>    and write services directly to applications and enables data to be
>    transferred directly into Upper Layer Protocol (ULP) Buffers without
>    intermediate data copies. The extensions specified in this document
>    provide the following capabilities and/or improvements to eliminate
>    application visible differences with other RDMA technologies: Send
>    with Immediate Data Operations and a new form of RDMA Read
>    Operation.
> 
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-wood-storm-rdmap-ext-v2
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-wood-storm-rdmap-ext-v2-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt